Summary: A network configuration tool.
Name: netcfg
Version: 2.36
Release: 1
License: GPL
Group: Applications/System
Source: netcfg-%{PACKAGE_VERSION}.tar.bz2
Requires: pythonlib >= 1.24, python, tkinter, initscripts >= 3.24
Conflicts: modutils < 2.3.11-5
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-root

%description
A Red Hat Linux tool which provides a graphical user interface for
setting up and configuring networking for your machine.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make	DESTDIR=$RPM_BUILD_ROOT \
	INSTALLBIN="install -m755" INSTALLDATA="install -m644" \
	install
mkdir -p $RPM_BUILD_ROOT/usr/share/icons
install -m644 netcfg.xpm $RPM_BUILD_ROOT/usr/share/icons

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/netcfg
/usr/lib/rhs/netcfg
/usr/lib/rhs/control-panel/netcfg.init
/usr/lib/rhs/control-panel/netcfg.xpm
/usr/share/icons/netcfg.xpm
%attr(0600,root,root)	%config /etc/X11/applnk/System/netcfg.desktop

%changelog
* Wed Aug  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- make default route changes take effect immediately (#14746)
- makefile changes to stop messing with $DISPLAY and $PYTHONPATH at build-time

* Tue Jul 25 2000 Preston Brown <pbrown@redhat.com>
- wmconfig --> .desktop

* Mon Jul 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix activity detection for aliases (#8173)

* Fri Jul  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- prevent false-matches when aliases include substrings that look like interface
  types

* Mon Jul  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- oops, broke activate/deactivate altogether

* Sun Jul  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- use rp3 for PPP config stuff so that we can stop worrying about interoperating
- bzip2 source

* Thu Jun  1 2000 Bill Nottingham <notting@redhat.com>
- conf.modules -> modules.conf

* Thu Mar 30 2000 Nalin Dahyabhai <nalin@redhat.com>
- add support for sysctl.conf when enabling/disabling IP forwarding
- require pythonlib >= 1.24, which provides a class for sysctl edits

* Mon Jan 24 2000 Nalin Dahyabhai <nalin@redhat.com>
- clear WVDIALSECT when saving PPP

* Wed Jan 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix confusion between default gateway and static route gateway

* Tue Jan 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix SLIP/CSLIP/linespeed confusion

* Wed Jan 12 2000 Bill Nottingham <notting@redhat.com>
- fix rpmsave handling

* Tue Aug 24 1999 Bill Nottingham <notting@redhat.com>
- actually build the version with the python fixes.

* Thu Apr 08 1999 Preston Brown <pbrown@redhat.com>
- fixed netcfg version number in python src.

* Mon Mar 22 1999 Michael Johnson <johnsonm@redhat.com>
- fixed bug 881

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- Bugs fixed:
 o wmconfig files take no paths
 o only root should see wmconfig

* Thu Nov 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Version 2.19 New features:
 o Debugging option for PPP devices
 o Supports active and passive PPP servers with a single configuration.

* Tue Nov 04 1997 Michael K. Johnson <johnsonm@redhat.com>
- Bugs fixed:
 o icon name corrected in netcfg.init

* Fri Oct 24 1997 Michael K. Johnson <johnsonm@redhat.com>
- Version 2.18 New features:
 o "Clone" devices allow multiple interface configurations
 o IP Forwarding option
 o Menus for modem ports and speeds.
- Bugs fixed:
 o physical/logical PPP device name translation
 o ignores backup files better.
 o removes dip scripts when removing slip devices
 o USERCTL fixed for "bus" devices like ethernet
 o Now asks for interface number for PLIP devices

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Tue Apr 15 1997 Michael K. Johnson <johnsonm@redhat.com>
- New features:
 o Allows ALL device types to be user-controllable
 o Allows DHCP configuration

* Wed Apr 02 1997 Michael K. Johnson <johnsonm@redhat.com>
- New features:
 o Silently disallows senseless lo aliasing
 o Loudly disallows non-functional SLIP aliasing
- Bugs fixed:
 o Didn't always create correct alias numbers
 o Hung if a device without an IP was aliased

* Wed Feb 26 1997 Michael K. Johnson <johnsonm@redhat.com>
- New features:
 o Supports user-controlled interfaces.
 o Includes PAP support for PPP interfaces.
 o Supports two kinds of timeouts for PPP interfaces.
 o Supports MTU as well as MRU
 o Allows giving arbitrary options to pppd
 o Sanity checking on /etc/hosts
- Bugs fixed:
 o Didn't always find the first free interface number
 o Sometimes tried to "add" an existing interface number
